[arch-commits] Commit in libglade/repos/gnome-i686 (PKGBUILD glade.install)

Jan de Groot jgc at archlinux.org
Sat Sep 6 14:28:45 EDT 2008


    Date: Saturday, September 6, 2008 @ 14:28:45
  Author: jgc
Revision: 11936

libglade 2.6.3

Modified:
  libglade/repos/gnome-i686/PKGBUILD
  libglade/repos/gnome-i686/glade.install

---------------+
 PKGBUILD      |   16 ++++++++--------
 glade.install |    5 -----
 2 files changed, 8 insertions(+), 13 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-09-06 18:18:41 UTC (rev 11935)
+++ PKGBUILD	2008-09-06 18:28:45 UTC (rev 11936)
@@ -2,25 +2,25 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=libglade
-pkgver=2.6.2
+pkgver=2.6.3
 pkgrel=1
 pkgdesc="Allows you to load glade interface files in a program at runtime"
 arch=(i686 x86_64)
 license=('LGPL')
-depends=('gtk2' 'libxml2')
+depends=('gtk2>=2.14.1' 'libxml2>=2.6.32')
 makedepends=('python' 'pkgconfig')
 options=('!libtool')
 install=glade.install
 source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.6/${pkgname}-${pkgver}.tar.bz2
 	libglade-2.0.1-nowarning.patch)
 url="http://www.gnome.org"
-md5sums=('da4f9d1c6cd1337f6ef5e2db768d8557' '4f879c0ce550004905aa0fb24f25c353')
+md5sums=('1c359860b1a0f369f0b6e3f96fd985c2' '4f879c0ce550004905aa0fb24f25c353')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  patch -Np1 -i ${startdir}/src/libglade-2.0.1-nowarning.patch || return 1
-  ./configure --sysconfdir=/etc --prefix=/usr --localstatedir=/var
+  cd ${srcdir}/${pkgname}-${pkgver}
+  patch -Np1 -i ${srcdir}/libglade-2.0.1-nowarning.patch || return 1
+  ./configure --sysconfdir=/etc --prefix=/usr --localstatedir=/var || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
-  install -m755 libglade-convert ${startdir}/pkg/usr/bin/libglade-convert
+  make DESTDIR=${pkgdir} install || return 1
+  install -m755 libglade-convert ${pkgdir}/usr/bin/libglade-convert || return 1
 }

Modified: glade.install
===================================================================
--- glade.install	2008-09-06 18:18:41 UTC (rev 11935)
+++ glade.install	2008-09-06 18:28:45 UTC (rev 11936)
@@ -23,8 +23,3 @@
   xmlcatalog --noout --del \
     /usr/share/xml/libglade/glade-2.0.dtd etc/xml/catalog
 }
-
-op=$1
-shift
-
-$op $*




More information about the arch-commits mailing list